Package: org.codehaus.groovy.control.messages

## [Java] Class SimpleMessage

- org.codehaus.groovy.control.messages.SimpleMessage

- A base class for compilation messages.

  Authors:
    Chris Poirier

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Object` | `data` |
    `protected String` | `message` |
    `protected ProcessingUnit` | `owner` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleMessage (String message, ProcessingUnit source)`
    `SimpleMessage (String message, Object data, ProcessingUnit source)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `getMessage()`
    `` | `void` | `write(PrintWriter writer, Janitor janitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Message` | `create, create, create, write, write`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### protected Object data

    - #### protected String message

    - #### protected ProcessingUnit owner

  - ### Constructor Detail

    - #### public SimpleMessage(String message, ProcessingUnit source)

    - #### public SimpleMessage(String message, Object data, ProcessingUnit source)

  - ### Method Detail

    - #### public String getMessage()

    - #### public void write(PrintWriter writer, Janitor janitor)